Preparing your app for iOS 14+

We encourage developers to update to the latest version of the GMA and IMA SDKs in order to take advantage of new features and functionality. For iOS 14, we recommend: 

  1. Install the latest Google Mobile Ads SDK for iOS (version 7.64 or later).

    If you use the IMA SDK, you’ll need to install:
    • IMA iOS version 3.12.1 or later
    • IMA tvOS version 4.3.2 or later 
    • PAL iOS version 2.2.2 or later
    • PAL tvOS version 2.2.2 or later   
  1. Configure the SKAdNetwork. Advertisers will be using Apple’s SkAdNetwork framework to measure the value they get from your app.  Learn more about configuring the SKAdNetwork for mobile and video.

As part of iOS 14, developers may choose to employ the new App Tracking Transparency framework. If you choose to do so, we recommend implementing an explainer message that appears to users immediately before the ATT alert with details about how you use user data and how the user can opt in to personalized ads. 

Please note that, for users in the European Economic Area along with the UK, Google’s EU user consent policy continues to apply and should be taken into account in designing any message that precedes the ATT alert.

About the SDK instance ID

With the latest versions of the GMA and IMA SDKs, a rotating SDK instance ID is automatically generated for each app to ensure effective delivery, display, and integrity of ads. The SDK Instance ID is unique per app and helps maximize your app’s ad performance.

Looking for help with AppTrackingTransparency permission?

You can use Funding Choices to manage your AppTrackingTransparency permission and create an explainer message and/or EU user consent message that your users see just beforehand. Learn more about ATT/IDFA messages in the Funding Choices help center.  

Was this helpful?
How can we improve it?